<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
  * Use is subject to license terms.
  *
  * ident   "@(#)RepGroupDetails.jsp 1.9 05/10/06 SMI
  *
  */
--%>

<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.replication.RepGroupDetailsViewBean">

<cc:header pageTitle="rrm.repgroupdetail.pagetitle" 
            copyrightYear="2005"
            baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" 
            bundleID="rrmBundle"
            onLoad="toggleDisabledState()">

<!-- Form -->
<jato:form name="FSDetailsForm" method="post">

<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
<cc:tabs name="Tabs" bundleID="rrmBundle" />

</jato:content>

<script language="JavaScript">
    function confirm_rolerev() {
        var str = "<cc:text name='ConfirmRRText' bundleID="rrmBundle" defaultValue='rrm.confirm.rolerev.text.group'/>";
        return input_box=confirm(str);
    }

    function confirm_setremovefromgroup() {
        var str = "<cc:text name='ConfirmRSFGText' bundleID="rrmBundle" defaultValue='rrm.confirm.removesetfromgroup.text'/>";
        return input_box=confirm(str);
    }
</script>

<!-- Bread Crumb componente-->
<cc:breadcrumbs name="breadcrumbs" bundleID="rrmBundle" />

<script type="text/javascript">
// This function will toggle the disabled state of the remove from group action button
// depending on no selection OR selection.
function toggleDisabledState() {

  // Element name (prefix) of selection checkbox.
  var elementName = "RepGroupDetails.RepSetsTable.SelectionRadiobutton";

  // Document form.
  var form = document.FSDetailsForm;
  // Flag indicating to disable action button and menu options.
  var disabled = true;
  
  // Set flag if a selection has been made.
  for (i = 0; i < form.elements.length; i++) {
      var e = form.elements[i];
      
      if (e.name && e.name.indexOf(elementName) != -1) {
          if (e.checked) {
              disabled = false;
              break;
          }
      }
  }

  // Enable/Disable the Delete button 
  ccSetButtonDisabled("RepGroupDetails.ActionButton1", "FSDetailsForm", disabled);
 
}
</script>

<!-- inline alart -->
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<!-- Page title -->
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle"
              pageTitleText="rrm.repgroupdetail.pagetitle"
              showPageTitleSeparator="true"
              showPageButtonsTop="true"
              showPageButtonsBottom="true">


<!-- PropertySheet -->
<cc:propertysheet name="PropertySheet" 
              bundleID="rrmBundle" 
              showJumpLinks="true"/>

</cc:pagetitle>

<br>

</jato:form>
</cc:header>
</jato:useViewBean> 

