<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved. 
  * Use is subject to license terms.
  *
  * ident   "@(#)ArraysSummary.jsp 1.9 05/07/14 SMI
  *
  */
--%>
<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.storage.ArraysSummaryViewBean">

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header pageTitle="rrm.title" 
           copyrightYear="2005"
           baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" 
           bundleID="rrmBundle"
           onLoad="toggleDisabledState()">
<cc:stylesheet/>

<cc:form name="rrmForm" method="post">
<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
  <cc:tabs name="Tabs" bundleID="rrmBundle" />
</jato:content>

<script language="JavaScript">
    function confirm_delete() {
        var str = "<cc:text name='Error' bundleID="rrmBundle" defaultValue='rrm.arraysummary.confirm.delete'/>";
        return input_box=confirm(str);
    }
</script>

<script type="text/javascript">
// This function will toggle the disabled state of the delete action button
// depending on no selection OR selection.
function toggleDisabledState() {

  // Element name (prefix) of selection checkbox.
  var elementName = "ArraysSummary.ArraysSummaryView.ArraysSummaryTable.SelectionCheckbox";
      // Document form.
  var form = document.rrmForm;
  // Flag indicating to disable action button and menu options.
  var disabled = true;

  // Set flag if a selection has been made.
  for (i = 0; i < form.elements.length; i++) {
      var e = form.elements[i];
 
      if (e.name && e.name.indexOf(elementName) != -1) {
          if (e.checked) {
              disabled = false;
              break;
          }
      }
  }

  // Enable/Disable the Delete button 
  ccSetButtonDisabled("ArraysSummary.ArraysSummaryView.ActionButton1", "rrmForm", disabled);

}
</script>


<!-- Alert -->
<div class="ConMgn">
    <br/>
</div>
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<!-- Page Title --> 
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle" 
              pageTitleText="rrm.arrayssummary.title" />

<br />

<!-- Action Table -->
<jato:containerView name="ArraysSummaryView">
  <cc:actiontable
    name="ArraysSummaryTable"
    bundleID="rrmBundle"
    title="rrm.arrayssummary.tabletitle"
    selectionType="multiple"
    selectionJavascript = "setTimeout('toggleDisabledState()', 0)"
    showAdvancedSortIcon="true"
    showLowerActions="true"
    showPaginationControls="true"
    showPaginationIcon="true"
    showSelectionIcons="true"
    maxRows="25"
    page="1"/>
</jato:containerView>


</cc:form>
</cc:header>
</jato:useViewBean> 
