<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
  * Use is subject to license terms.
  *
  * ident	"@(#)PortDetails.jsp	1.6	05/07/13 SMI"
  *
  */
--%>

<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.storage.PortDetailsViewBean">

<cc:header pageTitle="rrm.portdetail.pagetitle" 
            copyrightYear="2005"
            baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" 
            bundleID="rrmBundle"
            onLoad="toggleDisabledState()">

<!-- Form -->
<jato:form name="PortDetailsForm" method="post">

<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
<cc:tabs name="Tabs" bundleID="rrmBundle" />

</jato:content>

<script type="text/javascript">
// This function will toggle the disabled state of the delete action button
// depending on no selection OR selection.
function toggleDisabledState() {

  // Element name (prefix) of selection checkbox.
  var elementName = "PortDetails.LinksTable.SelectionCheckbox";
      // Document form.
  var form = document.PortDetailsForm;
  // Flag indicating to disable action button and menu options.
  var disabled = true;

  // Set flag if a selection has been made.
  for (i = 0; i < form.elements.length; i++) {
      var e = form.elements[i];
 
      if (e.name && e.name.indexOf(elementName) != -1) {
          if (e.checked) {
              disabled = false;
              break;
          }
      }
  }

  // Enable/Disable the Delete button 
  ccSetButtonDisabled("PortDetails.DeleteActionButton", "PortDetailsForm", disabled);

}
</script>

<script language="JavaScript">
    function confirm_delete() {
        var str = "<cc:text name='Error' bundleID="rrmBundle" defaultValue='rrm.links.table.confirm.delete'/>";
        return input_box=confirm(str);
    }
</script>

<!-- Bread Crumb componente-->
<cc:breadcrumbs name="breadcrumbs" bundleID="rrmBundle" />

<br>
<!-- inline alart -->
<cc:alertinline name="Alert" bundleID="rrmBundle" />
<br>

<!-- Page title -->
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle"
              pageTitleText="rrm.portdetail.pagetitle"
              showPageTitleSeparator="true"
              showPageButtonsTop="true"
              showPageButtonsBottom="true">


<!-- PropertySheet -->
<cc:propertysheet name="PropertySheet" 
              bundleID="rrmBundle" 
              showJumpLinks="true"/>

</cc:pagetitle>

<br>

</jato:form>
</cc:header>
</jato:useViewBean> 

