<%--
/*
 * ident	"@(#)WizardPage1.jsp 1.9 04/03/17 SMI"
 * 
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
--%>
<%@ page language="java" %> 
<%@ page import="com.iplanet.jato.view.ViewBean" %>
<%@taglib uri="/jato.tld" prefix="jato"%> 
<%@taglib uri="/cc.tld" prefix="cc"%>

<!--
    // Page <todo>
    // Gets the names and descriptions of the new groups from the user
-->
<jato:pagelet>

<cc:i18nbundle id="testBundle"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" />

<%-- For now assume we're still presenting the components in a table
     which is output by the framework and components are
     in rows and cells
--%>

<!-- Legend: required field indicator -->
<cc:legend name="Legend" bundleID="rrmBundle"/>

<script type="text/javascript">

  function wizardNextClicked() {

    <!-- validate name -->
    if (!checkNameValid()) return false;

    <!-- validate description -->
    if (!checkDescValid()) return false;

    return true;
  }

  function checkDescValid() {

    var priDescStr = document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.PrimaryCGDescField"].value;
    var secDescStr = document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.SecondaryCGDescField"].value;

    var valStr = new RegExp("^" + document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.ValidDescRegex"].value + "$");
    if (!valStr.test(priDescStr) || !valStr.test(secDescStr)) {
        alert(document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.InvalidDescPrompt"].value);
        return false;
    } else {
        return true;
    }
  }
  
  function checkNameValid() {

    var errStr = "";
    var priNameStr = document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.PrimaryCGNameField"].value;
    var secNameStr = document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.SecondaryCGNameField"].value;

    if (priNameStr.length == 0 || secNameStr.length == 0)
        errStr = document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.BlankNamePrompt"].value;

    if (errStr=="") {
        var valStr = new RegExp("^" + document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.ValidNameRegex"].value + "$");
        if (!valStr.test(priNameStr) || !valStr.test(secNameStr))
            errStr = document.wizWinForm["WizardWindow.Wizard.RepSetCreateNewCGPageView.InvalidNamePrompt"].value;
    }

    if (errStr!="") {
        alert(errStr);
        return false;
    } else {
        return true;
    }
  }
  


  function wizardPageInit() {
      WizardWindow_Wizard.setFocusElementName(
	"WizardWindow.Wizard.RepSetCreateNewCGPageView.PrimaryCGNameField");
  }
  
  WizardWindow_Wizard.pageInit = wizardPageInit;
  WizardWindow_Wizard.nextClicked = wizardNextClicked;

</script>

<!-- JavaScript Prompts -->
<cc:hidden name="BlankNamePrompt" defaultValue="" />
<cc:hidden name="ValidNameRegex" defaultValue="" />
<cc:hidden name="ValidDescRegex" defaultValue="" />
<cc:hidden name="InvalidNamePrompt" defaultValue="" />
<cc:hidden name="InvalidDescPrompt" defaultValue="" />

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:label name="PrimaryCGNameLabel" 
	    defaultValue="rrm.create.rep.set.wizard.new.primary.cg.name"
	    showRequired="true" bundleID="rrmBundle"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="PrimaryCGNameField" bundleID="rrmBundle"
                      size="10" />
    </td>
</tr>
<tr>
    <td>
	<cc:label name="PrimaryCGDescLabel" 
	    defaultValue="rrm.create.rep.set.wizard.new.primary.cg.desc"
	    bundleID="rrmBundle"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="PrimaryCGDescField" bundleID="rrmBundle"
                      size="20" />
    </td>
</tr>


<td valign="top" align="left" rowspan="1" colspan="1">&nbsp;</td>

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">		
        <cc:label name="SecondaryCGNameLabel"
              bundleID="rrmBundle"
              defaultValue="rrm.create.rep.set.wizard.new.secondary.cg.name"
              showRequired="true" />
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="SecondaryCGNameField" bundleID="rrmBundle"
                      size="10" />
    </td>
</tr>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">		
        <cc:label name="SecondaryCGDescLabel"
              bundleID="rrmBundle"
              defaultValue="rrm.create.rep.set.wizard.new.secondary.cg.desc"
              escape="false"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="SecondaryCGDescField" bundleID="rrmBundle"
                      size="20" />
    </td>
</tr>


</jato:pagelet>
