<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
  * Use is subject to license terms.
  *
  * ident   "@(#)AlarmDetails.jsp 1.2 05/04/27 SMI
  *
  */
--%>

<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.alarms.AlarmDetailsViewBean">

<cc:header pageTitle="rrm.alarmdetail.pagetitle" 
            copyrightYear="2005"
            baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" 
            bundleID="rrmBundle">

<!-- Form -->
<jato:form name="AlarmDetailsForm" method="post">

<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
<cc:tabs name="Tabs" bundleID="rrmBundle" />

</jato:content>

<!-- Bread Crumb componente-->
<cc:breadcrumbs name="breadcrumbs" bundleID="rrmBundle" />

<!-- inline alart -->
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<!-- Page title -->
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle"
              pageTitleText="rrm.alarmdetail.pagetitle"
              showPageTitleSeparator="true"
              showPageButtonsTop="true"
              showPageButtonsBottom="true">


<!-- PropertySheet -->
<cc:propertysheet name="PropertySheet" 
              bundleID="rrmBundle" 
              showJumpLinks="true"/>

</cc:pagetitle>

<br>

</jato:form>
</cc:header>
</jato:useViewBean> 

