<%--
 /*
  * Copyright 2003 Sun Microsystems, Inc. All rights reserved. 
  * Use is subject to license terms.
  *
  * ident "@(#)AlarmSummary.jsp 1.2 05/03/04 SMI
  *
  */
--%>
<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.alarms.AlarmSummaryViewBean">

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header pageTitle="rrm.title" copyrightYear="2004"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" bundleID="rrmBundle">
<cc:stylesheet/>

<cc:form name="rrmForm" method="post">
<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
  <cc:tabs name="Tabs" bundleID="rrmBundle" />
</jato:content>

<!-- Alert -->
<div class="ConMgn">
    <br/>
</div>
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<!-- Page Title --> 
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle" 
              pageTitleText="rrm.alarmsummary.title" />

<br />

<!-- Action Table -->
<jato:containerView name="AlarmSummaryView">
  <cc:actiontable
    name="AlarmSummaryTable"
    bundleID="rrmBundle"
    title="rrm.alarmsummary.tabletitle"
    showAdvancedSortIcon="true"
    showLowerActions="true"
    showPaginationControls="true"
    showPaginationIcon="true"
    showSelectionIcons="false"
    maxRows="25"
    page="1"/>
</jato:containerView>


</cc:form>
</cc:header>
</jato:useViewBean> 
