<%--
/*
 * ident "@(#)RepPortEnableGE1.jsp 1.1 05/03/07 SMI
 * 
 * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
--%>
<%@page language="java" %> 
<%@page import="com.iplanet.jato.view.ViewBean" %>
<%@taglib uri="/jato.tld" prefix="jato"%> 
<%@taglib uri="/cc.tld" prefix="cc"%>

<!--
  // Page 1 
  // Confirm port to enable and select remote peer
-->
<jato:pagelet>

<cc:i18nbundle id="rrmBundle"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" />

<!-- Legend: required field indicator -->
<cc:legend name="Legend" bundleID="rrmBundle"/>

<script type="text/javascript">
  function wizardPageInit() {
      WizardWindow_Wizard.setFocusElementName(
	"WizardWindow.Wizard.RepPortEnableFC1View.RemoteDevice");
  }

  function remoteSelected() {
    if (remoteSelected == true) {
        enableNext();
    }
  }

  function enableNext() {
    WizardWindow_Wizard.setNextButtonDisabled(false, null);
  }

  WizardWindow_Wizard.pageInit = wizardPageInit;
</script>

<table>
<tbody>
<tr>
    <td colspan="2">
    <cc:label name ="PortAlreadyEnabled" bundleID="rrmBundle" styleLevel="2"
	    defaultValue="rrm.must.provide.rem.device.for.link" />
    </td>
</tr>
<tr>
    <td> <br> </td>
</tr>

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">

	<cc:label name="LocalPortLabel" styleLevel="2"
	    elementName="LocalPort"
	    defaultValue="rrm.enable.port.wizard.number"
	    bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:text name ="LocalPort" bundleID="rrmBundle"/>
    </td>
</tr>
<tr>
    <td>
	<cc:label name="IPAddressLabel" 
	    defaultValue="rrm.enable.port.wizard.ipaddress"
	    bundleID="rrmBundle"
            showRequired="true"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="IPAddressField" bundleID="rrmBundle"
                      size="15" />
    </td>
</tr>
<tr>
    <td>
	<cc:label name="NetmaskLabel" 
	    defaultValue="rrm.enable.port.wizard.netmask"
	    bundleID="rrmBundle"
            showRequired="true"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="NetmaskField" bundleID="rrmBundle"
                      size="15" />
    </td>
</tr>
<tr>
    <td>
	<cc:label name="GatewayLabel" 
	    defaultValue="rrm.enable.port.wizard.gateway"
	    bundleID="rrmBundle"
            showRequired="true"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="GatewayField" bundleID="rrmBundle"
                      size="15" />
    </td>
</tr>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1" nowrap>
        <cc:label name="TCPWndSizeLabel" 
        defaultValue="rrm.enable.port.wizard.tcpwndsize"
        bundleID="rrmBundle"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
        <cc:textfield name ="TCPWndSizeField" bundleID="rrmBundle"
        size="15" />
        <cc:dropdownmenu name ="TCPWndSizeUnitsDDM"
                bundleID="rrmBundle"
                type="standard"
                dynamic="true" />        
        <cc:helpinline type="field">
            <cc:text name="TCPWndSizeInlineHelp"
                defaultValue="rrm.tcp.window.size.inline.help"
                bundleID="rrmBundle" />
        </cc:helpinline>                                      
    </td>
</tr>

<tr>
    <td> <br> </td>
    <td> <br> </td>
    <td> <br> </td>
</tr>

<tr>
    <td colspan="2">
    <cc:label name ="Optional" bundleID="rrmBundle" styleLevel="2"
	    defaultValue="rrm.optional.text" />
    </td>
</tr>

<tr>
    <td colspan="2">
        <cc:text name ="CreateLinkQuestionLabel" 
                  bundleID="rrmBundle" 
                  defaultValue = "rrm.port.enablege.wizard.create.link.question" />
    </td>
</tr>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:label name="RemoteDeviceLabel" styleLevel="2"
	    elementName="RemoteDevice"
	    defaultValue="rrm.port.device.name"
	    bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:dropdownmenu name ="RemoteDevice" bundleID="rrmBundle"/>
    </td>
</tr>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:label name="LinkDescLabel" styleLevel="2"
	    elementName="LinkDescField"
	    defaultValue="rrm.port.link.desc"
	    bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:textfield name ="LinkDescField" bundleID="rrmBundle" size="18"/>
    </td>
</tr>
</tbody>
</table>

</jato:pagelet>
