<%--
/*
 * ident	"@(#)WizardPage1.jsp 1.9 04/03/17 SMI"
 * 
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
--%>
<%@ page language="java" %> 
<%@ page import="com.iplanet.jato.view.ViewBean" %>
<%@taglib uri="/jato.tld" prefix="jato"%> 
<%@taglib uri="/cc.tld" prefix="cc"%>

<!--
  // The wizard framework provides a javascript object instance
  // called WizardWindow_Wizard. This object has methods that
  // allow the pagelet to disable/enable buttons and set the
  // page's initial focus.
  //
  // References to the methods of WizardWindow_Wizard if not conditional
  // during runtime, that must result in effects when the page is displayed
  // must be placed in a Javascript function and that function name
  // must be assigned to WizardWindow_Wizard.pageInit.
  // The framework will call WizardWindow_Wizard.pageInit() after the
  // wizard tag has been rendered.
  //
  // script statements must appear within at least the first
  // <td> element since HTML validation objects to the appearance
  // of <script> betwee the <table> element and the first <tr>
  // element.
-->
<jato:pagelet>

<cc:i18nbundle id="testBundle"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" />

<%-- For now assume we're still presenting the components in a table
     which is output by the framework and components are
     in rows and cells
--%>

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">

<script type="text/javascript">
  function wizardPageInit() {
      WizardWindow_Wizard.setFocusElementName(
	"WizardWindow.Wizard.RepSetCreateAsyncQueuePropsPageView.QueueSizeField");
  }
  WizardWindow_Wizard.pageInit = wizardPageInit;
</script>

	<cc:label name="QueueSizeLabel" 
	    defaultValue="rrm.create.rep.set.wizard.async.queue.size"
	    bundleID="rrmBundle"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="QueueSizeField" bundleID="rrmBundle"
                      size="8" />
	<cc:dropdownmenu name ="QueueSizeUnitsDDM"
                         bundleID="rrmBundle"
                         type="standard"
                         dynamic="true" />
    </td>
</tr>

<td valign="top" align="left" rowspan="1" colspan="1">&nbsp;</td>

<tr>
<td valign="top" align="left" rowspan="1" colspan="1">		
<cc:label name="QueueFullLabel"
	  bundleID="rrmBundle"
          defaultValue="rrm.create.rep.set.async.queue.full"
	  escape="false"/>
</td>
</tr>

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1" nowrap>
	&nbsp;&nbsp;&nbsp;<cc:text name="PendingBlocksText" 
	    defaultValue="rrm.create.rep.set.wizard.async.queue.pending.blocks"
	    bundleID="rrmBundle"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="PendingBlocksField" bundleID="rrmBundle"
                      size="6" maxLength="9" />
        <cc:helpinline type="field">
             <cc:text name="PendingBlockInlineHelp"
                      defaultValue="rrm.pending.block.inline.help"
                      bundleID="rrmBundle" />
         </cc:helpinline>                
         <cc:helpinline type="field">
             <cc:text name="BlockSizeInlineHelp"
                      defaultValue="rrm.block.size.inline.help"
                      bundleID="rrmBundle" />
         </cc:helpinline>                
    </td>
</tr>

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1" nowrap>
	&nbsp;&nbsp;&nbsp;<cc:text name="WriteRequestLongerThanText" 
	    defaultValue="rrm.create.rep.set.wizard.async.queue.write.request.longer.than"
	    bundleID="rrmBundle"/>
    </td>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:textfield name ="WriteRequestLongerThanField" bundleID="rrmBundle"
                      size="6" maxLength="4" />
        <cc:helpinline type="field">
             <cc:text name="WriteRequestInlineHelp"
                      defaultValue="rrm.write.request.inline.help"
                      bundleID="rrmBundle" />
         </cc:helpinline>                
    </td>
</tr>

<td valign="top" align="left" rowspan="1" colspan="1">&nbsp;</td>

<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:label name="QueueFullActionLabel" styleLevel="2"
	    elementName="QueueFullActionDDM"
	    defaultValue="rrm.create.rep.set.wizard.async.queue.full.action"
	    bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:dropdownmenu name ="QueueFullActionDDM"
                         bundleID="rrmBundle"
                         type="standard"
                         dynamic="true" />
    </td>
</tr>

</jato:pagelet>
